/******************************************************************************
*
*
* Notepad2
*
* Dialogs.h
*   Definitions for Notepad2 dialog boxes
*
* See Readme.txt for more information about this source code.
* Please send me your comments to this work.
*
* Distributed under the terms of the GNU General Public License,
* see License.txt for details.
*
*                                              (c) Florian Balmer 1996-2004
*                                                       textview@bluewin.ch
*                                               http://www.flos-freeware.ch
*
*
******************************************************************************/


#define MBINFO         0
#define MBWARN         1
#define MBYESNO        2
#define MBYESNOWARN    3
#define MBYESNOCANCEL  4

int MsgBox(int,UINT,...);

void DisplayCmdLineHelp();

BOOL GetDirectory(HWND,int,LPSTR,LPCSTR,BOOL);

BOOL CALLBACK AboutDlgProc(HWND,UINT,WPARAM,LPARAM);

void RunDlg(HWND,LPCSTR);
BOOL OpenWithDlg(HWND,LPCSTR);
BOOL FavoritesDlg(HWND,LPSTR);
BOOL AddToFavDlg(HWND,LPCSTR,LPCSTR);
BOOL FileMRUDlg(HWND,LPSTR);
BOOL WordWrapSettingsDlg(HWND,UINT,int *);
BOOL LongLineSettingsDlg(HWND,UINT,int *);
BOOL TabSettingsDlg(HWND,UINT,int *);
BOOL SelectOptionDlg(HWND,UINT,int *);


// End of Dialogs.h
